CustomJUnit4TestAdapterCache (Apache Ant API)
Date: 2013-12-23

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.junit
Class CustomJUnit4TestAdapterCache

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<org.junit.runner.Description,junit.framework.Test>
              junit.framework.JUnit4TestAdapterCache
                  org.apache.tools.ant.taskdefs.optional.junit.CustomJUnit4TestAdapterCache

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<org.junit.runner.Description,junit.framework.Test>

    public class CustomJUnit4TestAdapterCache

extends junit.framework.JUnit4TestAdapterCache

Provides a custom implementation of the notifier for a JUnit4TestAdapter so that skipped and ignored tests can be reported to the existing `TestListener`s.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Method Summary
`static CustomJUnit4TestAdapterCache` | `getInstance()`
`org.junit.runner.notification.RunNotifier` | `getNotifier(junit.framework.TestResult result)`
`org.junit.runner.notification.RunNotifier` | `getNotifier(junit.framework.TestResult result, junit.framework.JUnit4TestAdapter adapter)`

Methods inherited from class junit.framework.JUnit4TestAdapterCache
`asTest, asTestList, getDefault`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Method Detail

### getInstance

    public static CustomJUnit4TestAdapterCache getInstance()

### getNotifier

    public org.junit.runner.notification.RunNotifier getNotifier(junit.framework.TestResult result,
                                                                 junit.framework.JUnit4TestAdapter adapter)

  Overrides:
    `getNotifier` in class `junit.framework.JUnit4TestAdapterCache`

### getNotifier

    public org.junit.runner.notification.RunNotifier getNotifier(junit.framework.TestResult result)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD